%define enable_japanese 1

Summary: GNOME personal productivity applications.
Name: gnome-pim
Version: 1.2.0
Release: 13.1
Epoch:   1
Copyright: GPL
Group: Applications/Productivity
Source: ftp://ftp.gnome.org/pub/GNOME/sources/gnome-pim/gnome-pim-%{version}.tar.gz
BuildRoot: %{_tmppath}/%{name}-%{version}-root
BuildRequires: gnome-libs-devel libxml-devel
Obsoletes: gnome
URL: http://www.gnome.org

Source1: gnome-pim-ja.po
Source2: gnome-pim-pofiles.tar.gz
Patch: gnome-pim-1.2.0-fontset.patch

%description
GNOME (GNU Network Object Model Environment) is a user-friendly set of
GUI applications and desktop tools to be used in conjunction with a
window manager for the X Window System. This package includes
applications for personal organization, like GnomeCalendar and
GnomeCard.

%package devel
Summary: GNOME PIM development files.
Group: Development/Libraries
Requires: gnome-pim = %{version}

%description devel
GNOME (GNU Network Object Model Environment) is a user-friendly set of
GUI applications and desktop tools to be used in conjunction with a
window manager for the X Window System. The gnome-pim-devel package
contains the files you'll need to develop applications which interact
with GNOME Personal Information Manager applications (GnomeCalendar,
GnomeCard) via CORBA.

%prep
%setup -q
%if %{enable_japanese}
%patch -p1 -b .fontset

## removed, SOURCE2 should contain this
##cp %{SOURCE1} po/ja.po
# translations
tar zxf %{SOURCE2}

%endif

%build
libtoolize --copy --force
%configure --sysconfdir=/etc
make

%install
rm -rf $RPM_BUILD_ROOT

%makeinstall

%find_lang %name

%clean
rm -rf $RPM_BUILD_ROOT

%post -p /sbin/ldconfig

%postun -p /sbin/ldconfig

%files -f %{name}.lang
%defattr(-, root, root)

%doc AUTHORS COPYING ChangeLog NEWS README
/usr/bin/*
%config /etc/CORBA/*
/usr/share/gnome/*
/usr/share/mime-info/*
/usr/share/pixmaps/*

%files devel
%defattr(-, root, root)

/usr/share/idl


%changelog
* Thu Aug 22 2002 Jeremy Katz <katzj@redhat.com>
- add libtoolize (#70584)

* Mon Aug 27 2001 Havoc Pennington <hp@redhat.com>
- Add po files from sources.redhat.com
- remove the ja.po source in here; assuming it was on sources
  CVS

* Tue Jul 24 2001 Karsten Hopp <karsten@redhat.de>
- add BuildRequires (#45018)

* Thu Jul 19 2001 Tim Powers <timp@redhat.com>
- make the devel package version dependant to pacify rpmlint

* Sun Jun 24 2001 Elliot Lee <sopwith@redhat.com>
- Bump release + rebuild.

* Thu Mar 15 2001 Havoc Pennington <hp@redhat.com>
- translations

* Fri Feb 23 2001 Trond Eivind Glomsrd <teg@redhat.com>
- move changelog to end of file
- don't define and use "ver" at the top of the specfile
- langify
- use %{_tmppath}

* Mon Feb 19 2001 Havoc Pennington <hp@redhat.com>
- add missing icon to file list, bug 27914

* Thu Jan 18 2001 Akira TAGOH <tagoh@redhat.com>
- Added Japanese patch.

* Fri Aug 11 2000 Jonathan Blandford <jrb@redhat.com>
- update Epoch.

* Thu Jul 13 2000 Prospector <bugzilla@redhat.com>
- automatic rebuild

* Sat Jun 17 2000 Matt Wilson <msw@redhat.com>
- don't define docdir

* Thu Jun 15 2000 Havoc Pennington <hp@redhat.com>
- 1.2.0
- %%makeinstall

* Mon May 22 2000 Bill Nottingham <notting@redhat.com>
- use %%configure (ia64)

* Fri May 19 2000 Havoc Pennington <hp@redhat.com>
- 1.1.91; remove prefix/lib/* from devel package

* Fri Sep 17 1999 Elliot Lee <sopwith@redhat.com>
- vresion 1.0.10

* Mon Aug 16 1999 Michael Fulbright <drmike@redhat.com>
- official 1.0.9 release

* Mon Jul 19 1999 Dax Kelson <dkelson@inconnect.com>
- version 1.0.9 test version

* Fri May 28 1999 Dax Kelson <dkelson@inconnect.com>
- version 1.0.8

* Fri Apr 9 1999 Michael Fulbright <drmike@redhat.com>
- version 1.0.7

* Fri Mar 19 1999 Michael Fulbright <drmike@redhat.com>
- strip binaries

* Sun Mar 14 1999 Michael Fulbright <drmike@redhat.com>
- version 1.0.3

* Sun Feb 21 1999 Michael Fulbright <drmike@redhat.com>
- removed libtoolize from %build and fixed source line

* Fri Feb 12 1999 Michael Fulbright <drmike@redhat.com>
- version 0.99.8

* Thu Feb 11 1999 Michael Fulbright <drmike@redhat.com>
- version 0.99.7

* Sat Feb 06 1999 Michael Fulbright <drmike@redhat.com>
- version 0.99.6

* Mon Jan 18 1999 Michael Fulbright <drmike@redhat.com>
- version 0.99.3

* Wed Jan 06 1999 Michael Fulbright <drmike@redhat.com>
- rebuild against gtk+ 1.1.12

* Mon Dec 14 1998 Michael Fulbright <drmike@redhat.com>
- first try at an RPM for the 0.99.0 release
